import 'package:flutter_bloc/flutter_bloc.dart';

class MenuSelectedBar extends Cubit<Map<String, dynamic>> {
  MenuSelectedBar()
      : super({"index": 0, "id": ''}); // default list pertama String 0

  void selectedBarMenu(int indexBar, String id) {
    Map<String, dynamic> result = {
      "index": indexBar,
      "id": id,
    };
    emit(result); // return index dan ID
  }
}
